For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • Summary
      • POSTSend Emails
      • GETList Emails
      • GETFetch an Email
      • DELDelete
      • GETFetch an Email Operation
      • GETList Email Operations
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferenceEmails

Delete

DELETE
https://comms.twilio.com/v1/Emails/:emailId
DELETE
/v1/Emails/:emailId
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.emails.delete("emailId");
9}
10main();
Was this page helpful?
Previous

Fetch an Email Operation

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Path parameters

emailIdstringRequired